package com.tuoheng.admin.config;

public interface SystemConstant {

    /**
     * 平台code
     */
    String PLATFORM_CODE = "treefarm";

    /**
     * 机场平台：获取机场列表接口
     */
   String API_AIRPORT_LIST = "/api/airportInterface/airportList";

    /**
     * 机场平台：获取机场路线列表接口
     */
   String API_AIRPORT_LINE_LIST = "/api/airportInterface/taskByDroneId";

    /**
     * 机场平台：执行接口
     */
    String API_AIRPORT_EXECUTE_TASK = "/api/airportInterface/executeTaskAnsy";

    /**
     * 机场平台：获取天气
     */
    String API_AIRPORT_GET_WEATHER = "/api/airportInterface/getWeather";

    // 飞手平台不同接口url
    /**
     * 新增任务接口
     */
    String ADD_PILOTTASK = "apiTask/add";


    /**
     * 机场平台：定点飞行
     */
    String API_AIRPORT_POINT_FLIGH = "/api/airportInterface/createPointLine";

    /**
     * 机场平台：控制无人机
     */
    String API_AIRPORT_DRONE_CONTROL = "/api/airportInterface/droneCommand";

    /**
     * 机场平台：获取机场状态
     */
    String API_AIRPORT_STATUS_BY_AIRPORT_ID = "/api/airportInterface/getAirportStatusByAirportId";

}
